﻿kdenlive-install
================

À l’heure actuelle, il est conseillé d’utiliser la version AppImage sur Debian et les systèmes basés sur Ubuntu :

Plus de détails sur [page de téléchargement de kdenlive.org] (https://kdenlive.org/en/download/) et sur
[page de kdenlive ubuntu ppda] (https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-stable).

Ce script est vous permet d’installer et de maintenir à jour `kdenlive` sur les systèmes basés sur Ubuntu
(entièrement testé sur` Linux Mint`) en utilisant la version AppImage.

La version AppImage stable actuelle est _22.12.3_.

Pour installer le script, téléchargez simplement le fichier et ensuite rendez-le exécutable.

Si vous ne souhaitez pas sauvegarder l’installer sur votre disque, je vous propose également d’utiliser directement la version en ligne :

* Installer **kdenlive** pour tous les utilisateurs : (meilleur choix)

```bash
curl -s https://gitea.cclaude.rocks/installers/kdenlive-install/raw/branch/master/kdenlive-install.sh | sudo bash
```

* Installer **kdenlive** pour l’utilisateur actuel uniquement (sudo non requis)

```bash
wget https://gitea.cclaude.rocks/installers/kdenlive-install/raw/branch/master/kdenlive-install.sh --output-document=/tmp/kdenlive-install.sh && bash /tmp/kdenlive-install.sh
```

Ensuite, `kdenlive` est disponible dans votre menu `son et vidéo` (`sound and video`).

Plus d’options et de documentation en utilisant :

```bash
bash ./kdenlive-install.sh --help
```


Limitations
-----------

* Attention, vous avez besoin d’une architecture 64 bits pour utiliser l'AppImage de `kdenlive`.
* Vous devez avoir suffisamment de mémoire pour exécuter `kdenlive`, prévoyez au moins 4 Go. Si vous envisagez d’acheter ordinateur pour créer de grosses vidéos, prévoyez au minimum 16 Go de RAM.


TO DO
-----

* [ ] Permettre de sélectionner la version que vous souhaitez télécharger et installer.
* [ ] Permettre de tout supprimer à l’aide de ce script.

