﻿kdenlive-install
================

Currently, it is advisable to use the AppImage version on Debian and Ubuntu-based systems:

More details on [kdenlive.org download page](https://kdenlive.org/en/download/) and on
[kdenlive ubuntu ppda page](https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-stable).

This script is allows you to install and maintain `kdenlive` up to date on systems based on Ubuntu
(fully tested on `Linux Mint`) using the AppImage version.

The current stable AppImage version is _22.12.3_.

To install the script, simply download the file and then make it executable.

If you don't want to save the installer on your disk, I also suggest that you use the online version directly:

* Install **kdenlive** for all users: (best choice)

```bash
curl -s https://gitea.cclaude.rocks/installers/kdenlive-install/raw/branch/master/kdenlive-install.sh | sudo bash
```

* Install **kdenlive** for the current user only (sudo not required)

```bash
wget https://gitea.cclaude.rocks/installers/kdenlive-install/raw/branch/master/kdenlive-install.sh --output-document=/tmp/kdenlive-install.sh && bash /tmp/kdenlive-install.sh
```

Then, `kdenlive` is available in your` sound and video` menu.

More options and documentation using:

```bash
bash ./kdenlive-install.sh --help
```


Limitations
-----------

* Please note, you need a 64-bit architecture to use the `kdenlive` AppImage.
* You must have enough memory to run `kdenlive`, allow at least 4 GB. If you
consider buying a computer to create large videos, allow at least 16 GB of RAM.


TO DO
-----

* [ ] Allow you to select the version you wish to download and install.
* [ ] Allow to delete everything using this script.

